Arch: Space/Пространство

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Space and the translation is 17% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Roof.svg Roof
Next: Stairs Arch Stairs.svg Arrow-right.svg

Arch Space.svg Arch Space

Расположение в меню
Архитектура → Пространство
Верстаки
Arch
Быстрые клавиши
S P
Представлено в версии
-
См. также
...


Определение

Инструмент Пространство позволяет определить пустое пространство, базируясь на твердой оболочке, или определив границы, или и тем, и другим. Если он базируется только на границах, объем вычисляется, исходя из ограничительного блока всех заданных границ, и вычитая пространство за каждой границей. Пространственный объект всегда определяет твердотельный объём. Площадь пола пустого пространства вычисляемая пересечением горизонтальной плоскости через центр масс пустого пространства, так же может показываться установкой режима показа пространственного объекта в "detailed".

Arch Space example.jpg

На рисунке выше пространственный объект создан из существующего твердотельного объекта, затем две стены добавлены как границы, и режим показа установлен в "detailed" для показа занимаемой площади.

Использование

  1. Выберите существующий твердый объект или грани на граничных объектах
  2. Нажмите кнопку Arch Space.png Arch Space или нажмите клавиши S, P

Limitations

Свойства

  • DATABase: Базовый объект, если он есть (должен быть твердым)
  • DATA Boundaries: список необязательных граничных элементов
  • VIEWText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • VIEWFontName: The name of the font
  • VIEWTextColor: The color of the text
  • VIEWFontSize: The size of the text
  • VIEWFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • VIEWLineSpacing: The space between the lines of text
  • VIEWTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • VIEWTextAlign: The justification of the text
  • VIEWDecimals: The number of decimals to use for calculated texts
  • VIEWShowUnit: Show the unit suffix or not

Options

  • To create zones that group several spaces, use a Arch BuildingPart and set its IFC type to "Spatial Zone"
  • The space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space. introduced in version 0.19

Скриптование

Инструмент Пространства можно использовать в сценариях python и макросы, используя следующую функцию:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Creates a Space object from the given objects or baseobj, which can be
    • one document object, in which case it becomes the base shape of the space object, or
    • a list of selection objects as returned by FreeCADGui.Selection.getSelectionEx(), or
    • a list of tuples (object, subobjectname)

Пример:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

After a space object is created, selected faces can be added to it with the following code:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Boundaries can also be removed, again by selecting the indicated faces:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)